package client

type Service interface {
	Client(id int) (*Client, error)
	Clients() ([]*Client, error)
}

type Client struct {
	DatabaseID  int    `json:"databaseId"`
	ChannelID   int    `json:"channelId"`
	Nickname    string `json:"nickname"`
	Type        int    `json:"type"`
	Away        bool   `json:"away"`
	AwayMessage string `json:"awayMessage"`
}
